Jifty::Plugin::I18N(3)

NAME
Jifty::Plugin::I18N - Additional i18n facility such as language selector

SYNOPSIS
# In your jifty config.yml under the framework section:

  L10N:
    PoDir: share/po
    AllowedLang:
      - en
      - zh_tw
  Plugins:
    - I18N:
        js: 1

DESCRIPTION
This plugin provides additional i18n facility to Jifty's core i18n features, such as compiling l10n lexicon for client side javascript, and a language selector action.

You will still need to manually do the following to make client side l10n work:

Extract strings from your js files into your po file
      jifty po --dir share/web/static/js

Generate js dictionary
      jifty po --js

  init